Properties Methods Events Config Options Direct Link

# Class Ext.ux.menu.ListMenu

Package: | Ext.ux.menu
Defined In: | ListMenu.js
Class: | ListMenu
Extends: | Object

This is a supporting class for Ext.ux.grid.filter.ListFilter. Although not listed as configuration options for this class, this class also accepts all configuration options from Ext.ux.grid.filter.ListFilter.

## Config Options

Config Options | Defined By
--- | ---
| labelField : String Defaults to 'text'. | ListMenu
| labelField : String Defaults to 'text'. | ListMenu
| loadOnShow : Boolean Defaults to true. | ListMenu
| loadOnShow : Boolean Defaults to true. | ListMenu
| paramPrefix : String Defaults to 'Loading...'. | ListMenu
| paramPrefix : String Defaults to 'Loading...'. | ListMenu
| single : Boolean Specify true to group all items in this list into a single-select radio button group. Defaults to false. | ListMenu
| single : Boolean Specify true to group all items in this list into a single-select radio button group. Defaults to false. | ListMenu

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

checkChange( `Object item`, `Object checked` ) : void
Handler for the 'checkchange' event from an check item in this menu
Handler for the 'checkchange' event from an check item in this menu
Parameters:

- `item` : Object
  Ext.menu.CheckItem
- `checked` : Object
  The checked value that was set

Returns:

- void

ListMenu

getSelected() : Array
Get the selected items.
Get the selected items.
Parameters:

- None.

Returns:

- `Array`
  selected

ListMenu

show() : void
Lists will initially show a 'loading' item while the data is retrieved from the store. In some cases the loaded data ...
Lists will initially show a 'loading' item while the data is retrieved from the store. In some cases the loaded data will result in a list that goes off the screen to the right (as placement calculations were done with the loading item). This adapter will allow show to be called with no arguments to show with the previous arguments and thus recalculate the width and potentially hang the menu from the left.
Parameters:

- None.

Returns:

- void

ListMenu

## Public Events

Event | Defined By
--- | ---

checkchange : ( `Object item`, `Object checked` )
Fires when there is a change in checked items from this list
Fires when there is a change in checked items from this list
Listeners will be called with the following arguments:

- `item` : Object
  Ext.menu.CheckItem
- `checked` : Object
  The checked value that was set

ListMenu

checkchange : ( `Object item`, `Object checked` )
Fires when there is a change in checked items from this list
Fires when there is a change in checked items from this list
Listeners will be called with the following arguments:

- `item` : Object
  Ext.menu.CheckItem
- `checked` : Object
  The checked value that was set

ListMenu